#!/usr/bin/perl

use strict;
use Getopt::Std;
use CGI qw/:standard/;
use integer;

print header;

$|=1;

my %opt;
my $val = '';
my $orig_val = '';
my $path;
my @t;
my $last;

getopts('f:pi',\%opt);

#$path = $ENV{'COUNTER_INFO'};
$path = "/usr/home/$ENV{'USERID'}/www/htdocs/$ENV{'DOCUMENT_URI'}";
@t = split(/\//,$path);
pop(@t);
$path = join('/',@t);
chdir($path);

open(COUNT,$opt{'f'}) || die "Cannot open file: ".$opt{'f'};

while(<COUNT>) {
	chomp;

	next if($val ne '');

	$val = $_;
	$val =~ s/\D//g;
}

close(COUNT);

if($val eq '') {
	$val = 0;
}

$orig_val = $val;

my $last3digits;
my $str = '';
my $started = 0;

if(!$opt{'p'}) {
	while ($val >= 1000) {
		$last3digits = $val % 1000;
		$val = $val / 1000;
		if ($started) {
			$str = "," . sprintf("%03d", $last3digits) . $str;
		} else {
			$str = "," . sprintf("%03d", $last3digits);
			$started = 1;
		}
	}
	$str = $val . $str;

	print $str;

	$last = $orig_val % 10;
	if ((($orig_val / 10) % 10) == 1) {
		# we're in the teens, so fake the "th"
		$last = 4;
	}
	if ($last == 1) {
		print "st";
	} elsif ($last == 2) {
		print "nd";
	} elsif ($last == 3) {
		print "rd";
	} else {
		print "th";
	}

}


if(!$opt{'i'}) {
	$orig_val = $orig_val + 1;
	open(COUNT,'>'.$opt{'f'}) || die "Cannot open file: ".$opt{'f'};
	print COUNT $orig_val."\n";
	close(COUNT);
}

exit(0);
